Skip to main content
`Ctrl`+`K`

# PCHPDDMSetSTShareSubKSP

Sets whether the `KSP` in SLEPc `ST` and the fine-level subdomain solver should be shared.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMSetSTShareSubKSP(PC pc, PetscBool share)

## Input Parameters

- pc - preconditioner context

- share - whether the `KSP` should be shared or not

## Note

This is not the same as `PCSetReusePreconditioner()`. Given certain conditions (visible using -info), a symbolic factorization can be skipped when using a subdomain `PCType` such as `PCLU` or `PCCHOLESKY`.

## See Also

KSP: Linear System Solvers, `PCHPDDM`, `PCHPDDMGetSTShareSubKSP()`

## Level

advanced

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

## Examples

src/ksp/ksp/tutorials/ex76.c

## Implementations

PCHPDDMSetSTShareSubKSP_HPDDM() in src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages